Topic outline

  • Upcoming TED courses and events

    Primary Tackling Educational Disadvantage Network

    This network aims to support primary leaders in developing meaningful, research-informed strategies to tackle educational disadvantage and to securely embed these strategies into day-to-day practice. Sessions offer the chance to share best practice and impact, with leaders learning from wider schools’ successes to address identified areas of need. As the network groups become established, sessions will be adapted, focusing on bespoke areas identified by the group.

    Sessions will provide the opportunity to:

    • Access national and local updates.
    • Engage in discussion about strategy and implementation.
    • Explore research evidence and guidance materials and what these mean in practice.
    • Share strategies across schools, working together to explore strengths and next steps.
    • Experience bespoke training in response to identified needs.
    • Network with other school leaders to enable ideas, questions, and approaches to be shared across schools.

    Delegates should attend one session each term.

    For booking information go to: Learning Zone GuidanceUse the keyword search or course name to search for this learning item in our catalogue.

    Available dates:

    Summer

    17 June 2024 (09:00 - 12:00) - New Forest/Test Valley

    24 June 2024 (09:00 - 12:00) - Basingstoke

    25 June 2024 (09:00 - 12:00) - Winchester

    26 June 2024 (09:00 - 12:00) - Fareham

    Keyword Search: Summer Primary Disadvantage

    Cost: Sub £90 / SLA £50 / Full £108

    Autumn

    14 October 2024 (09:00 - 12.00) - Fareham

    16 October 2024 (09:00 - 12.00) - Basingstoke

    21 October 2024 (09:00 - 12.00) - New Forest and Test Valley

    22 October 2024 (09:00 - 12.00) - Winchester

    Keyword Search: Autumn Primary Disadvantage

    Cost: Sub £90 / SLA £50 / Full £108

    Spring

    11 February 2025 (09:00 - 12:00) - New Forest and Test Valley

    25 February 2025 (09:00 - 12:00) - Basingstoke

    3 March 2025 (09:00 - 12:00) - Winchester

    4 March 2025 (09:00 - 12:00) - Fareham

    Keyword Search: Spring Primary Disadvantage

    Cost: Sub £90 / SLA £50 / Full £108

    Primary Tackling Educational Disadvantage Network - flyer

    Secondary Disadvantaged Network

    The primary aims of the subject network meetings are to:

    • Ensure a clear understanding of the national picture and its application in local and school contexts.
    • Support effective subject leadership as appropriate to each school’s individual context.
    • Develop skills, expertise and capacity within school subject leaders and their teams through quality strategic CPD and the sharing of good practice.
    • Deepen understanding of subject specific pedagogy and knowledge that underpins good progress and attainment for ALL pupils.
    • Facilitate school to school networking and develop strength across the system.

    Common agenda items for these meetings:

    • Development of subject specific knowledge and an understanding of strong progression and sequencing.
    • Enhancing subject leadership.
    • Structuring Key Stage 4 to ensure pupils are well prepared for the next phase of their education.
    • Providing high quality Key Stage 3 provision that builds successfully on Key Stage 2.
    • Ensuring all pupils, including the most vulnerable (SEN and PP) are able to make excellent progress.
    • Sharing good practice and work.

    Project work and other CPD opportunities and networks will continue and will evolve in line with need.

    For booking information go to: Learning Zone GuidanceUse the keywords search or course name to search for this learning item in our catalogue.

    Available dates:

    Date/Time

     Keyword search

    Summer
    2 July 2024 (13:30 - 16:30) In person
    Secondary Summer tackling
    Autumn 
    22 Oct 2024 (13:15 - 16:15) In person
    Autumn Secondary Disadvantaged
    Spring 1
    15 Jan 2025 (13:30 - 15:00) Virtual
    Spring Disadvantaged Webinar
    Spring 2
    3 Mar 2025 (13:15 - 16:15) In person
    Spring 2 Disadvantaged
    Summer 1
    7 May 2025 (13:30 - 15:00) Virtual
    Summer Disadvantaged Webinar
    Summer 2
    1 Jul 2025 (13:15 - 16:15) In person
    Summer 2 Disadvantaged

    Location: TBC and Microsoft Teams

    Cost:

    Face to face: Sub £75 / SLA £40 / Full £90
    Webinar: Sub £30 / SLA £20 / Full £36

    Secondary Disadvantaged Network - flyer